<bugID>597103<Summary>HUDService.deactivateHUDForContext(tab) fails when the given tab is not from the focused window</Summary><Description>If one invokes HUDService.deactivateHUDForContext(tab) when tab is not from the currently focused window, the method throws an error. The problem is caused because the code always checks the currentContext() - the currently focused window. The fix is really trivial - writing the mochitest takes more lines. :)</Description></bugID>